设为首页收藏本站

晓东CAD家园-论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 211|回复: 0

[源码] 使用点监视器,动态绘制内存实体,模拟SPLINE命令

[复制链接]

已领礼包: 40个

财富等级: 招财进宝

发表于 2020-6-2 00:48:06 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
演示了动态拖动中,显示内存实体的方法

使用了ARX的ViewportDraw,屏幕刷新显示实体,速度快

  1. (defun c:tt ()
  2.   (defun _callback (dynpt)
  3.     (redraw)
  4.     (xdrx-setpropertyvalue
  5.       spl
  6.       "setfitpoints"
  7.       (reverse (cons dynpt lst));;设置拟合点
  8.     )
  9.     (xdrx-grdraw 1 -1 spl) ;;显示内存实体
  10.   )
  11.   (if (and (setq p1 (getpoint "\n起点<退出>:"))
  12.            (setq p2 (getpoint p1 "\n下一点<退出>:"))
  13.       )
  14.     (progn (xdrx-pointmonitor "_callback")
  15.            (setq lst (list p2 p1))
  16.            (setq spl (xdrx-spline-make)) ;;创建内存DB实体
  17.            (while (setq p3 (getpoint (car lst) "\n下一点<退出>:"))
  18.              (setq lst (cons p3 lst))
  19.            )
  20.            (xdrx-pointmonitor)
  21.            (xdrx-setpropertyvalue spl "removefitpointat" (length lst));;移除最后鼠标确认前最后一个拟合点
  22.            (xdrx-entity-make spl);;从内存实体创建到数据库
  23.     )
  24.   )
  25.   (princ)
  26. )



动态SPL.gif
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|小黑屋|手机版|Archiver|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )  

GMT+8, 2020-10-29 15:48 , Processed in 0.118474 second(s), 23 queries , Gzip On, WinCache On.

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表